//+------------------------------------------------------------------+
#define ID "$Id: askBidLine.mq4 80 2013-09-12 10:59:56Z ovo $"
//+------------------------------------------------------------------+

#property indicator_chart_window

#define ASK_LINE "ask line"
#define BID_LINE "bid line"

extern bool showAsk = true;
extern bool showBid = true;

int init (){
   createObjects();
   updateValues();
   //Comment(DoubleToStr(Close[0], Digits), "   ", DoubleToStr(Bid, Digits));
   return(0);
}

int start() {
   createObjects();
   updateValues();
   return(0);
}

int deinit() {
   deleteObjects();
   return(0);
   Comment("");
}

void deleteObjects() {
   ObjectDelete(ASK_LINE);
   ObjectDelete(BID_LINE);
}

void createObjects() {

   if(showAsk && ObjectCreate(ASK_LINE,OBJ_TREND,0,0,0)) {
      ObjectSet(ASK_LINE, OBJPROP_COLOR, Red);
      ObjectSet(ASK_LINE, OBJPROP_BACK, true);
      ObjectSet(ASK_LINE, OBJPROP_STYLE, STYLE_SOLID);
      ObjectSet(ASK_LINE, OBJPROP_RAY, true);
   }
   
   if(showBid && ObjectCreate(BID_LINE,OBJ_TREND,0,0,0)) {
      ObjectSet(BID_LINE, OBJPROP_COLOR, LightSlateGray);
      ObjectSet(BID_LINE, OBJPROP_STYLE, STYLE_SOLID);
      ObjectSet(BID_LINE, OBJPROP_BACK, true);
      ObjectSet(BID_LINE, OBJPROP_RAY, true);
   }
}

void updateValues() {

   if(showAsk) {
      ObjectSet(ASK_LINE,OBJPROP_PRICE1,Ask);
      ObjectSet(ASK_LINE,OBJPROP_PRICE2,Ask);
      ObjectSet(ASK_LINE,OBJPROP_TIME1,Time[0]);
      ObjectSet(ASK_LINE,OBJPROP_TIME2,Time[0]+Period()*60*5);
   }
   
   if(showBid) {
      ObjectSet(BID_LINE,OBJPROP_PRICE1,Bid);
      ObjectSet(BID_LINE,OBJPROP_PRICE2,Bid);
      ObjectSet(BID_LINE,OBJPROP_TIME1,Time[0]);
      ObjectSet(BID_LINE,OBJPROP_TIME2,Time[0]+Period()*60*5);
   }
}